> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /28hse/estates/search

> Search the Hong Kong estate (屋苑) directory published by 28Hse and Squarefoot — residential estates as well as commercial and industrial buildings. Filter by ownership category (private estate, subsidised or public housing, detached house) or building category (industrial, office, shop), the three-level area tree and free text. Each card returns the estate id and page URL, the name, the district, the ninety-day deal volume, the number of listings for sale and to let, the rental yield, the average price per square foot, the cover photo and the estate labels such as the developer, the age band and activity markers. The total number of matching estates is returned in the X-Total-Available-Results header.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/real-estate.json post /api/28hse/estates/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/28hse/estates/search:
    post:
      tags:
        - /28hse
      summary: /28hse/estates/search
      description: >-
        Search the Hong Kong estate (屋苑) directory published by 28Hse and
        Squarefoot — residential estates as well as commercial and industrial
        buildings. Filter by ownership category (private estate, subsidised or
        public housing, detached house) or building category (industrial,
        office, shop), the three-level area tree and free text. Each card
        returns the estate id and page URL, the name, the district, the
        ninety-day deal volume, the number of listings for sale and to let, the
        rental yield, the average price per square foot, the cover photo and the
        estate labels such as the developer, the age band and activity markers.
        The total number of matching estates is returned in the
        X-Total-Available-Results header.


        **Price:** 1 credit
      operationId: __api_28hse_estates_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Hse28EstatesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Hse28Estate'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Hse28EstatesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        site:
          $ref: '#/components/schemas/Hse28Site'
          default: 28hse
        lang:
          $ref: '#/components/schemas/Hse28Lang'
          default: tc
        count:
          type: integer
          minimum: 1
        usage:
          $ref: '#/components/schemas/Hse28EstateUsage'
          default: residential
        estate_kinds:
          anyOf:
            - items:
                $ref: '#/components/schemas/Hse28EstateKind'
              type: array
              uniqueItems: true
            - type: 'null'
        commercial_kinds:
          anyOf:
            - items:
                $ref: '#/components/schemas/Hse28CommercialKind'
              type: array
              uniqueItems: true
            - type: 'null'
        regions:
          anyOf:
            - items:
                $ref: '#/components/schemas/Hse28AreaRegion'
              type: array
              uniqueItems: true
            - type: 'null'
        district_groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/Hse28DistrictGroup'
              type: array
              uniqueItems: true
            - type: 'null'
        districts:
          anyOf:
            - items:
                $ref: '#/components/schemas/Hse28District'
              type: array
              uniqueItems: true
            - type: 'null'
        keyword:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - count
    Hse28Estate:
      properties:
        '@type':
          type: string
          default: Hse28Estate
        id:
          type: string
        cat_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        name_en:
          anyOf:
            - type: string
            - type: 'null'
        street:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        labels:
          items:
            type: string
          type: array
          default: []
        block_count:
          anyOf:
            - type: integer
            - type: 'null'
        unit_count:
          anyOf:
            - type: integer
            - type: 'null'
        occupation_year:
          anyOf:
            - type: integer
            - type: 'null'
        developer:
          anyOf:
            - type: string
            - type: 'null'
        management_company:
          anyOf:
            - type: string
            - type: 'null'
        clubhouse:
          anyOf:
            - type: string
            - type: 'null'
        primary_school_net:
          anyOf:
            - type: string
            - type: 'null'
        primary_school_net_id:
          anyOf:
            - type: string
            - type: 'null'
        secondary_school_net:
          anyOf:
            - type: string
            - type: 'null'
        secondary_school_net_id:
          anyOf:
            - type: string
            - type: 'null'
        avg_price_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        price_change_percent:
          anyOf:
            - type: number
            - type: 'null'
        price_per_sqft_year_ago:
          anyOf:
            - type: number
            - type: 'null'
        sale_transaction_count:
          anyOf:
            - type: integer
            - type: 'null'
        profit_ratio_percent:
          anyOf:
            - type: number
            - type: 'null'
        loss_ratio_percent:
          anyOf:
            - type: number
            - type: 'null'
        turnover_rate_percent:
          anyOf:
            - type: number
            - type: 'null'
        min_asking_price:
          anyOf:
            - type: number
            - type: 'null'
        max_asking_price:
          anyOf:
            - type: number
            - type: 'null'
        min_asking_price_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        max_asking_price_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        sale_listing_count:
          anyOf:
            - type: integer
            - type: 'null'
        avg_rent_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        rent_transaction_count:
          anyOf:
            - type: integer
            - type: 'null'
        rental_yield_percent:
          anyOf:
            - type: number
            - type: 'null'
        rental_activity_percent:
          anyOf:
            - type: number
            - type: 'null'
        min_asking_rent:
          anyOf:
            - type: number
            - type: 'null'
        max_asking_rent:
          anyOf:
            - type: number
            - type: 'null'
        min_asking_rent_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        max_asking_rent_per_sqft:
          anyOf:
            - type: number
            - type: 'null'
        rent_listing_count:
          anyOf:
            - type: integer
            - type: 'null'
        population:
          anyOf:
            - type: integer
            - type: 'null'
        household_count:
          anyOf:
            - type: integer
            - type: 'null'
        average_household_size:
          anyOf:
            - type: number
            - type: 'null'
        census:
          items:
            $ref: '#/components/schemas/Hse28EstateCensusRow'
          type: array
          default: []
        phases:
          items:
            $ref: '#/components/schemas/Hse28EstatePhase'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    Hse28Site:
      type: string
      enum:
        - 28hse
        - squarefoot
    Hse28Lang:
      type: string
      enum:
        - tc
        - cn
        - en
    Hse28EstateUsage:
      type: string
      enum:
        - residential
        - commercial
    Hse28EstateKind:
      type: string
      enum:
        - private_estate
        - public_and_subsidised_housing
        - detached_house
    Hse28CommercialKind:
      type: string
      enum:
        - industrial
        - office
        - shop
    Hse28AreaRegion:
      type: string
      enum:
        - hong_kong_island
        - kowloon
        - new_territories
        - outlying_islands
    Hse28DistrictGroup:
      type: string
      enum:
        - island_south
        - aberdeen_ap_lei_chau_wong_chuk_hang
        - chai_wan_siu_sai_wan_shek_o
        - shau_kei_wan_heng_fa_chuen
        - sai_wan_ho
        - taikoo
        - quarry_bay
        - north_point_mid_levels
        - north_point_fortress_hill
        - tin_hau_tai_hang
        - causeway_bay_happy_valley
        - wan_chai_admiralty
        - mid_levels
        - central_sheung_wan
        - sai_ying_pun_shek_tong_tsui
        - kennedy_town
        - whampoa
        - hung_hom
        - tsim_sha_tsui
        - jordan
        - yau_ma_tei
        - mong_kok
        - prince_edward
        - tai_kok_tsui_olympic_kowloon_station
        - lai_king
        - mei_foo
        - cheung_sha_wan
        - lai_chi_kok
        - sham_shui_po_shek_kip_mei_nam_cheong
        - yau_yat_tsuen
        - ho_man_tin
        - kowloon_tong
        - san_po_kong_wong_tai_sin
        - kai_tak
        - kowloon_city
        - to_kwa_wan
        - diamond_hill_lok_fu
        - ngau_chi_wan
        - kowloon_bay
        - kwun_tong_ngau_tau_kok
        - yau_tong
        - lam_tin
        - sha_tau_kok
        - tsing_yi
        - kwai_chung_kwai_fong
        - tsuen_wan_tai_wo_hau
        - tsuen_wan_sham_tseng
        - tuen_mun_castle_peak_road
        - tuen_mun
        - tin_shui_wai
        - yuen_long_hung_shui_kiu
        - sheung_shui
        - fan_ling
        - tai_po_tai_wo_pak_shek_kok
        - sha_tin_tai_wai_fotan
        - ma_on_shan
        - tseung_kwan_o
        - sai_kung_clear_water_bay
        - cheung_chau_other_islands
        - lamma_island
        - peng_chau
        - south_lantau_island_tai_o
        - tung_chung
        - discovery_bay
        - ma_wan
        - greater_bay_area
    Hse28District:
      type: string
      enum:
        - pok_fu_lam
        - shouson_hill
        - baguio_villa
        - southern_district
        - repulse_bay
        - tai_tam
        - stanley
        - south_horizons
        - parkview
        - wong_chuk_hang
        - ap_lei_chau
        - aberdeen
        - chai_wan
        - shek_o
        - siu_sai_wan
        - shau_kei_wan
        - heng_fa_chuen
        - north_point
        - fortress_hill
        - tai_hang
        - tin_hau
        - jardines_lookout
        - happy_valley
        - happy_valley_mid_levels
        - causeway_bay
        - admiralty
        - wan_chai
        - shiu_fai_terrace
        - western_mid_levels
        - mid_levels_central
        - the_peak
        - sheung_wan
        - central
        - sai_ying_pun
        - shek_tong_tsui
        - tai_kok_tsui
        - olympic
        - kowloon_station
        - sham_shui_po
        - shek_kip_mei
        - nam_cheong
        - san_po_kong
        - wong_tai_sin
        - diamond_hill
        - lok_fu
        - ngau_tau_kok
        - kwun_tong
        - kwai_chung
        - kwai_fong
        - tsuen_wan
        - tai_wo_hau
        - yuen_long
        - hung_shui_kiu
        - tai_po
        - tai_wo
        - pak_shek_kok
        - sha_tin
        - tai_wai
        - fotan
        - tseung_kwan_o_town
        - lohas_park
        - hang_hau
        - po_lam
        - tiu_keng_leng
        - sai_kung
        - clear_water_bay
        - cheung_chau
        - other_islands
        - south_lantau_island
        - tai_o
        - zhongshan
        - zhuhai
        - guangdong
        - huizhou
        - shenzhen
        - jiangmen
    Hse28EstateCensusRow:
      properties:
        '@type':
          type: string
          default: Hse28EstateCensusRow
        group:
          type: string
        indicator:
          type: string
        value:
          anyOf:
            - type: number
            - type: 'null'
        hong_kong_value:
          anyOf:
            - type: number
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - group
        - indicator
    Hse28EstatePhase:
      properties:
        '@type':
          type: string
          default: Hse28EstatePhase
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````